MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030100Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-08-31 09:262018-09-09 13:08
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030100: Modeling Algorithms - ShapeUpgrade_UnifySameDomain is unable to unify faces based on the same toroidal surface
DescriptionShapeUpgrade_UnifySameDomain is unable to unify faces based on the same toroidal surface. It happens because the UnifySameDomain algorithm uses IntAna_QuadQuadGeo for comparing elementary surfaces (expecting the tangency flag), which returns IntAna_NoGeometricSolution.

The problem has been discovered while working on the issue 0030094.
Steps To Reproducerestore [locate_data_file bug30100_usd.brep] f
unifysamedom result f
checkshape result
checknbshapes result -wire 1 -face 1

restore [locate_data_file bug30100_faces.brep] f
explode f
bopcurves f_1 f_2
TagsNo tags attached.
Test case numberbugs/modalg_7/bug30100_1, bugs/modalg_7/bug30100_2
Attached Files

- Relationships
related to 0030094verifiedbugmaster Modeling Algorithms - Defeaturing does not work on the attached shape due to incorrect extension of the torus 

-  Notes
(0078873)
git (administrator)
2018-08-31 10:09

Branch CR30100 has been created by emv.

SHA-1: 0cc996063fb9805776ba82c9b3a1a2233e0d6ca4


Detailed log of new commits:

Author: emv
Date: Fri Aug 31 10:07:05 2018 +0300

    0030100: Modeling Algorithms - ShapeUpgrade_UnifySameDomain is unable to unify faces based on the same toroidal surface
    
    When performing intersection of toroidal faces check first if they are based on the same surface.
    Test cases for the issue.
(0078934)
emv (developer)
2018-09-03 14:46

Dear Mikhail, could you please review the git branch CR30100?

Test results - http://jenkins-test-12.nnov.opencascade.com/view/CR30100-CR30100-emv/view/COMPARE/ [^]
(0078940)
msv (developer)
2018-09-03 15:29

src/IntPatch/IntPatch_Intersection.cxx
- Use TolTang to compare radii in order to make correspondence with IntAna algorithm.
(0078942)
git (administrator)
2018-09-03 15:32

Branch CR30100 has been updated by emv.

SHA-1: eb805d4301666bcda5a0307f98afdd9b262cf2a9


Detailed log of new commits:

Author: emv
Date: Mon Sep 3 15:29:18 2018 +0300

    # Corrections according to remarks.

(0078957)
emv (developer)
2018-09-04 07:35

Please review again. Test results - http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR30094-master-emv/view/COMPARE/. [^]
(0078964)
msv (developer)
2018-09-04 09:25

Reviewed.
(0078988)
bugmaster (administrator)
2018-09-04 15:28

OCCT branch : CR30094 SHA - 4967999df25d25df578eef2cce56d7f655600459
Products branch : CR30100 SHA - 172af4d33029ab85a56ad72ea43f606b8d32245b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17570.309999999838 / 17510.19999999974 [+0.34%]
Products
Total CPU difference: 7473.800000000058 / 7448.370000000074 [+0.34%]
Windows-64-VC14:
OCCT
Total CPU difference: 17478.18043889853 / 17490.31731669841 [-0.07%]
Products
Total CPU difference: 8335.32063119999 / 8296.913184999985 [+0.46%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0079043)
git (administrator)
2018-09-09 12:21

Branch CR30100 has been deleted by inv.

SHA-1: eb805d4301666bcda5a0307f98afdd9b262cf2a9

- Related Changesets
occt: master 83f7dbeb
Timestamp: 2018-08-31 07:07:05
Author: emv
Committer: bugmaster
Details ] Diff ]
0030100: Modeling Algorithms - ShapeUpgrade_UnifySameDomain is unable to unify faces based on the same toroidal surface

When performing intersection of toroidal faces check first if they are based on the same surface.
Test cases for the issue.
mod - src/IntAna/IntAna_QuadQuadGeo.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Intersection.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug30100_1 Diff ] File ]
add - tests/bugs/modalg_7/bug30100_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-08-31 09:26 emv New Issue
2018-08-31 09:26 emv Assigned To => msv
2018-08-31 09:52 emv Assigned To msv => emv
2018-08-31 09:52 emv Status new => assigned
2018-08-31 09:52 emv Steps to Reproduce Updated View Revisions
2018-08-31 10:00 emv Steps to Reproduce Updated View Revisions
2018-08-31 10:09 git Note Added: 0078873
2018-09-03 09:23 emv Relationship added related to 0030094
2018-09-03 14:46 emv Note Added: 0078934
2018-09-03 14:46 emv Assigned To emv => msv
2018-09-03 14:46 emv Status assigned => resolved
2018-09-03 15:29 msv Note Added: 0078940
2018-09-03 15:29 msv Assigned To msv => emv
2018-09-03 15:29 msv Status resolved => assigned
2018-09-03 15:32 git Note Added: 0078942
2018-09-04 07:35 emv Note Added: 0078957
2018-09-04 07:35 emv Assigned To emv => msv
2018-09-04 07:35 emv Status assigned => resolved
2018-09-04 09:25 msv Note Added: 0078964
2018-09-04 09:25 msv Assigned To msv => bugmaster
2018-09-04 09:25 msv Status resolved => reviewed
2018-09-04 15:24 bugmaster Test case number => testsbugs/modalg_7/bug30100_1, bugs/modalg_7/bug30100_2
2018-09-04 15:24 bugmaster Test case number testsbugs/modalg_7/bug30100_1, bugs/modalg_7/bug30100_2 => bugs/modalg_7/bug30100_1, bugs/modalg_7/bug30100_2
2018-09-04 15:28 bugmaster Note Added: 0078988
2018-09-04 15:28 bugmaster Status reviewed => tested
2018-09-09 11:52 bugmaster Changeset attached => occt master 83f7dbeb
2018-09-09 11:52 bugmaster Status tested => verified
2018-09-09 11:52 bugmaster Resolution open => fixed
2018-09-09 12:21 git Note Added: 0079043


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker